<?php

// imports
    require_once dirname(__FILE__) . "/api/db_api.php";
    require_once dirname(__FILE__) . "/connectdb.php";

// define user functions
    function dpgem_call_factory($mode, $data = false) {
        if ($mode == 'getCurrentDate')
            return date('d.m.Y', !$data? time(): $data);
        if ($mode == 'getCurrentTime')
            return date('H:i:s', !$data? time(): $data);
        if ($mode == 'logout') {
            if (isset($_SESSION["ID"]))
                unset($_SESSION["ID"]);
            if (isset($_SESSION["DPG_SESS_ID"]))
                unset($_SESSION["DPG_SESS_ID"]);
            if (isset($_SESSION["NAME"]))
                unset($_SESSION["NAME"]);
            if (isset($_SESSION["PASSWORD"]))
                unset($_SESSION["PASSWORD"]);
        }
        if ($mode == 'getInit') {
            $_ = $_SESSION["DPGEM_INIT"];
            $_SESSION["DPGEM_INIT"] = false;
            return $_;
        }

        return;
    }

    function dpgem_path_to_root() {
        return $GLOBALS['DynPG']->PathToRoot;
    }

    function dpgem_set_toolbar_status($type = 'hidden', $value) {
        if ($type == 'hidden')
            $_SESSION['DPGEM_TOOLBAR_HIDDEN'] = $value;

        if ($type == 'live')
            $_SESSION['DPGEM_TOOLBAR_MODE_LIVE'] = $value;

        return true;
    }

    function dpgem_get_toolbar_status($type = 'hidden') {
        if ($type == 'hidden')
            return empty($_SESSION['DPGEM_TOOLBAR_HIDDEN'])? ($_SESSION["DPGEM_INIT"]? true: false):
                $_SESSION['DPGEM_TOOLBAR_HIDDEN'];

        if ($type == 'live') {
            return empty($_SESSION['DPGEM_TOOLBAR_MODE_LIVE'])? false:
                $_SESSION['DPGEM_TOOLBAR_MODE_LIVE'];
        }

        return false;
    }

    function dpgem_load_tinyMCE($id) {
        if (empty($_SESSION['DPGEM_VISIBLE_TINYMCE_INSTANCES']))
            $_SESSION['DPGEM_VISIBLE_TINYMCE_INSTANCES'] = Array();

        if (!preg_match('/^T(\w+)_EID(\w+)_ID(\d+)$/', $id, $matches))
            return false;

        $nonUniqueID = "{$matches[1]}-{$matches[3]}";

        if (!in_array($nonUniqueID, $_SESSION['DPGEM_VISIBLE_TINYMCE_INSTANCES']))
            array_push($_SESSION['DPGEM_VISIBLE_TINYMCE_INSTANCES'], $nonUniqueID);

        return true;
    }

    function dpgem_get_visible_tinyMCE($id, $closed = false) {
        if (empty($_SESSION['DPGEM_VISIBLE_TINYMCE_INSTANCES']))
            return Array();

        if (!preg_match('/^T(\w+)_EID(\w+)_ID(\d+)$/', $id, $matches))
            return $_SESSION['DPGEM_VISIBLE_TINYMCE_INSTANCES'];

        $nonUniqueID = "{$matches[1]}-{$matches[3]}";

        if ($closed) {
            $_ = Array();
            $f = 0;
            foreach ($_SESSION['DPGEM_VISIBLE_TINYMCE_INSTANCES'] as $i => $eid)
                if ($eid != $nonUniqueID)
                    $_[$i - $f] = $eid;
                else
                    $f++;
            $_SESSION['DPGEM_VISIBLE_TINYMCE_INSTANCES'] = $_;
        }

        return $_SESSION['DPGEM_VISIBLE_TINYMCE_INSTANCES'];
    }

    function dpgem_save_article_data($id, $attribute, $data) {
        // check rights
        if (!dynpg_getRightsToUser(C_RIGHTS_CHANGE, 'ARTICLE', $id))
        	return false;

		// Note that there was applied addslashes() once by the SAJAX
        // framework. In order to make the data consistent we have
        // to remove slashes in the following.
        if (get_magic_quotes_gpc())
            $data = stripslashes($data);

        if ($attribute == 'lead' || $attribute == 'text')
            $data = $GLOBALS['DynPG']->fix_image_path($data, false);
        if ($attribute == 'title' && empty($data))
            return false;

        // We can now update the article.
        $dbh = new DB_DynPGDB_Article();
        $dbh->update(
            Array(
                strtoupper($attribute) => $data,
                'MODIFIER' => $_SESSION["DPG_SESS_ID"],
                'CHANGED' => time()
            ),
            $id
        );
        return true;
    }

    function dpgem_save_group_data($id, $attribute, $data) {
        // check rights
        if (!dynpg_getRightsToUser(C_RIGHTS_CHANGE, 'GROUP', $id))
        	return false;

		// Note that there was applied addslashes() once by the SAJAX
        // framework. In order to make the data consistent we have
        // to remove slashes in the following.
        if (get_magic_quotes_gpc())
            $data = stripslashes($data);

        if ($attribute == 'shorttext')
            $data = $GLOBALS['DynPG']->fix_image_path($data, false);
        if ($attribute == 'refid' && $data == '-1')
            $data = null;
        if ($attribute == 'name' && empty($data))
            return false;
        if ($attribute == 'public_from' || $attribute == 'public_until') {
            if (preg_match('/^([^\s]+) (.*)$/', $data, $matches))
                $data = ConvertMysqlDate($matches[1], 'DateToMySql')
                    . " " . $matches[2];
            else
                $data = '0000-00-00 00:00:00';
            if (strpos($matches[1], '00') !== false)
                $data = ($attribute == 'public_from')? '0000-00-00 00:00:00': null;
        }

        // We can now update the group.
        $dbh = new DB_DynPGDB_Groups();
        $dbh->update(
            Array(
                strtoupper($attribute) => $data
            ),
            $id
        );
        return true;
    }

    function dpgem_read_group_values($id) {
        // fetch parent is
		$id = mysql_real_escape_string($id);
        $_parent_info = mysql_query("SELECT * FROM `dynpg_cms_group_treestruct` WHERE `successor_id_fk` = '".$id."'");

        if ( mysql_num_rows($_parent_info) > 0 ) {
            $_parent = mysql_fetch_array($_parent_info, MYSQL_ASSOC);
            $_get_GroupParent = $_parent['element_id_fk'];
        } else {
            $_parent = mysql_fetch_array(mysql_query("SELECT * FROM `dynpg_cms_group_treestruct` WHERE `element_id_fk` = '".$id."'"), MYSQL_ASSOC);
            $_get_GroupParent = is_null($_parent['root_id_fk']) ? 'NULL' : $_parent['root_id_fk'];
        }

        $group = mysql_fetch_assoc(mysql_query("SELECT * FROM `dynpg_cms_groups` WHERE `id` = '".$id."'"));

        if (preg_match('/^([^\s]+) (.*)$/', $group['PUBLIC_FROM'], $matches)) {
            $group['PUBLIC_FROM_DATE'] = ConvertMysqlDate($matches[1], 'MySqlToDate');
            $group['PUBLIC_FROM_TIME'] = $matches[2];
        } else {
            $group['PUBLIC_FROM_DATE'] = date('d.m.Y');
            $group['PUBLIC_FROM_TIME'] = date('H:i:s');
        }

        if (preg_match('/^([^\s]+) (.*)$/', $group['PUBLIC_UNTIL'], $matches)) {
            $group['PUBLIC_UNTIL_DATE'] = ConvertMysqlDate($matches[1], 'MySqlToDate');
            $group['PUBLIC_UNTIL_TIME'] = $matches[2];
        } else {
            $group['PUBLIC_UNTIL_DATE'] = '00.00.0000';
            $group['PUBLIC_UNTIL_TIME'] = '00:00:00';
        }

        // cancel out <style> tag since otherwise the backend style might be destroyed
        // when loading the shorttext into a formular
        $group["SHORTTEXT"] = preg_replace('/<style([^>]+)>(.*)<\/style>/sim', '', $group["SHORTTEXT"]);
        $group["SHORTTEXT"] = $GLOBALS['DynPG']->fix_image_path($group["SHORTTEXT"], true);

        return array_merge($group, Array('hierarchy' => $_get_GroupParent));
    }

    function dpgem_create_group($parent_id, $name, $shorttext, $content, $content_is_start, $preview, $align, $public, $public_from, $public_until, $show_visits, $index, $use_grand_parent = false, $meta_title, $meta_keywords, $meta_description) {
        // check if valid
            if (empty($name))
                return false;

        // check rights
        	if (!dynpg_getRightsToUser(C_RIGHTS_ADMINISTRATIVE))
        		return false;

        // Note that there was applied addslashes() once by the SAJAX
        // framework. In order to make the data consistent we have
        // to remove slashes in the following.
            if (get_magic_quotes_gpc()) {
                $name = stripslashes($name);
                $shorttext = stripslashes($shorttext);
                $meta_title = stripslashes($meta_title);
                $meta_keywords = stripslashes($meta_keywords);
                $meta_description = stripslashes($meta_description);
            }

        // if we have to use the grand parent, then figure out
            if ($use_grand_parent) {
                if (mysql_num_rows(mysql_query("SELECT * FROM `dynpg_cms_group_treestruct` WHERE `element_id_fk` = '".mysql_real_escape_string($parent_id)."' AND `root_id_fk` IS NULL GROUP BY `element_id_fk`")) > 0) {
                    $parent_id = null;
                } else {
            	   extract(mysql_fetch_assoc(mysql_query("SELECT `element_id_fk` FROM `dynpg_cms_group_treestruct` WHERE `successor_id_fk` = '".mysql_real_escape_string($parent_id)."' GROUP BY `element_id_fk`")));
            	   $parent_id = isset($element_id_fk)? $element_id_fk: null;
            	}
            }

        // preset default values for variables
            if ($content == '-1' || empty($content))
                $content = null;
            if ($parent_id == null)
                $parent_id = 'NULL';

            if (preg_match('/^([^\s]+) (.*)$/', $public_from, $matches))
                $public_from = ConvertMysqlDate($matches[1], 'DateToMySql')
                    . " " . $matches[2];
            if (strpos($matches[1], '00') !== false)
                $public_from = '0000-00-00 00:00:00';
            if (preg_match('/^([^\s]+) (.*)$/', $public_until, $matches))
                $public_until = ConvertMysqlDate($matches[1], 'DateToMySql')
                    . " " . $matches[2];
            if (strpos($matches[1], '00') !== false)
                $public_until = null;

        // insert group into db
            $dbh = new DB_DynPGDB_Groups();
            $_new_grp_id = $dbh->insert(
                Array(
                    $index,
                    $content,
                    $content_is_start? 1: 0,
                    $name,
                    $shorttext,
                    $preview,
                    $align,
                    time(),
                    $show_visits? 'TRUE': 'FALSE',
                    $public,
                    $public_from,
                    $public_until,
                    $meta_title,
                    $meta_keywords,
                    $meta_description
                )
            );

        // change group of possibly group refid to the current group
        // (temporarily this article was saved within $parent_id
            if ($content != null) {
                $dbh = new DB_DynPGDB_Article();
                $dbh->update(Array('GROUP' => $_new_grp_id), $content);
            }

        // insert right
            $dbh = new DB_DynPGDB_Rights();
            $dbh->insert(
                Array(
                    $_SESSION["DPG_SESS_ID"],
                    'GROUP',
                    $_new_grp_id,
                    'TRUE',
                    'TRUE',
                    'TRUE',
                    'TRUE'
                )
            );

        // insert structure
            if ($parent_id == 'NULL') {
                mysql_query("INSERT INTO `dynpg_cms_group_treestruct` (`root_id_fk`, `element_id_fk`, `successor_id_fk`) VALUES (NULL, {$_new_grp_id}, NULL);");
            } else {
                $offset_result = mysql_query("SELECT * FROM `dynpg_cms_group_treestruct` WHERE `element_id_fk` = '".mysql_real_escape_string($parent_id)."'");
                if (mysql_num_rows($offset_result) > 0) {
                    $offset_row = mysql_fetch_assoc($offset_result);
                    if (is_null($offset_row['successor_id_fk'])) {
                        mysql_query("UPDATE `dynpg_cms_group_treestruct` SET `successor_id_fk` = $_new_grp_id WHERE `element_id_fk` = '".mysql_real_escape_string($parent_id)."'");
                    } else {
                        foreach ($offset_row as $key => $value) {
                            if (is_null($value)) {
                                $offset_row[$key] = 'NULL';
                            }
                        }
                        mysql_query("INSERT INTO `dynpg_cms_group_treestruct` (`root_id_fk`, `element_id_fk`, `successor_id_fk`) VALUES ('".mysql_real_escape_string($offset_row['root_id_fk'])."', '".mysql_real_escape_string($offset_row['element_id_fk'])."', $_new_grp_id);");
                    }
                } else {
                    $offset_row = mysql_fetch_assoc(mysql_query("SELECT * FROM `dynpg_cms_group_treestruct` WHERE `successor_id_fk` = '".mysql_real_escape_string($parent_id)."'"));
                    foreach ( $offset_row as $key => $value ) {
                        if ( is_null($value) ) {
                            $offset_row[$key] = 'NULL';
                        }
                    }
                    mysql_query("INSERT INTO `dynpg_cms_group_treestruct` (`root_id_fk`, `element_id_fk`, `successor_id_fk`) VALUES ('".mysql_real_escape_string($offset_row['element_id_fk'])."', '".mysql_real_escape_string($offset_row['successor_id_fk'])."', $_new_grp_id);");
                }
            }

        return true;
    }

    function dpgem_create_article($group, $title, $lead, $text, $searchkeys, $index, $public_from, $public_until, $isathome, $options, $meta_title, $meta_keywords, $meta_description) {
    	// check if valid
            if (empty($title))
                return false;

        // check rights
        	if (!dynpg_getRightsToUser(C_RIGHTS_CREATE, 'GROUP', $group))
				return false;

		// Note that there was applied addslashes() once by the SAJAX
        // framework. In order to make the data consistent we have
        // to remove slashes in the following.
        	if (get_magic_quotes_gpc()) {
                $title = stripslashes($title);
                $lead = stripslashes($lead);
                $text = stripslashes($text);
                $searchkeys = stripslashes($searchkeys);
                $meta_title = stripslashes($meta_title);
                $meta_keywords = stripslashes($meta_keywords);
                $meta_description = stripslashes($meta_description);
            }

        // fix image path' for the lead and the article text
        	$lead = $GLOBALS['DynPG']->fix_image_path($lead, false);
        	$text = $GLOBALS['DynPG']->fix_image_path($text, false);

        // we can now create the article
        	if (!empty($text)) {
				$dbh = new DB_DynPGDB_ArticleTexts();
	            $cnt_idx = $dbh->insert(Array($text, 0));
	        } else
	        	$cnt_idx = -1;

	        if (preg_match('/^([^\s]+) (.*)$/', $public_from, $matches))
                $public_from = ConvertMysqlDate($matches[1], 'DateToMySql')
                    . " " . $matches[2];
            if (strpos($matches[1], '00') !== false)
                $public_from = '0000-00-00 00:00:00';
            if (preg_match('/^([^\s]+) (.*)$/', $public_until, $matches))
                $public_until = ConvertMysqlDate($matches[1], 'DateToMySql')
                    . " " . $matches[2];
            if (strpos($matches[1], '00') !== false)
                $public_until = '0000-00-00 00:00:00';

            $public_from = explode(' ', $public_from);
            $public_until = explode(' ', $public_until);

	        $dbh = new DB_DynPGDB_Article();
	        $id = $dbh->insert(
	            Array(
	                $group,
            		$title,
            		$lead,
            		$public_from[0],
            		$public_until[0],
            		$public_from[1],
            		$public_until[1],
            		$cnt_idx,
            		'TRUE',
            		$isathome? 'TRUE': 'FALSE',
            		time(),
            		99999999999,
            		'FALSE',
            		'FALSE',
            		$searchkeys,
            		$index,
            		$_SESSION["DPG_SESS_ID"],
            		null,
            		time(),
            		null,
                    $meta_title,
                    $meta_keywords,
                    $meta_description
	            )
	        );
	    	$dbh = new DB_DynPGDB_Article_Options();
	    	if ($options[0])
				$dbh->insert(Array($id, 1));
	    	if ($options[1])
				$dbh->insert(Array($id, 2));

    	return $id;
	}

	function dpgem_delete_group($id, $delete_refid = false) {
        if (!dynpg_getRightsToUser(C_RIGHTS_DELETE, 'GROUP', $id))
            return false;

		// The rights are necessarily checked within the
        // generic "delete" method.
        $dbh = new DB_DynPGDB_Groups();
		$dbh->delete($id, $delete_refid);
		return true;
	}

	function dpgem_delete_article($id) {
        if (!dynpg_getRightsToUser(C_RIGHTS_DELETE, 'ARTICLE', $id))
            return false;

		// The rights are necessarily checked within the
        // generic "delete" method.
        $dbh = new DB_DynPGDB_Article();
		$dbh->delete($id, false, true);
		return true;
	}

// EOF