-- phpMyAdmin SQL Dump
-- version 2.9.1.1
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Erstellungszeit: 19. Juli 2011 um 18:12
-- Server Version: 5.0.27
-- PHP-Version: 5.2.0
--
-- Datenbank: `dynpg_test`
--

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `dynpg_cms_article`
--

CREATE TABLE `dynpg_cms_article` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `GROUP` bigint(20) NOT NULL default '0',
  `TITLE` varchar(255) NOT NULL default '',
  `LEAD` text NOT NULL,
  `DATE_UP` varchar(10) NOT NULL default '0000-00-00',
  `DATE_TO` varchar(10) NOT NULL default '0000-00-00',
  `TIME_UP` time NOT NULL default '00:00:00',
  `TIME_TO` time NOT NULL default '00:00:00',
  `CONTENT` bigint(20) NOT NULL default '0',
  `ISPUBLIC` enum('TRUE','FALSE') NOT NULL default 'TRUE',
  `ISATHOME` enum('TRUE','FALSE') NOT NULL default 'TRUE',
  `CREATEDATE` bigint(20) NOT NULL default '0',
  `DATEFIX` bigint(20) NOT NULL default '9999999999',
  `SHOWVISITS` enum('TRUE','FALSE') NOT NULL default 'FALSE',
  `SHOWDATE` enum('TRUE','FALSE') NOT NULL default 'TRUE',
  `SEARCHKEYS` text NOT NULL,
  `INDEX` bigint(20) unsigned NOT NULL default '0',
  `OWNER` bigint(20) unsigned default NULL,
  `MODIFIER` bigint(20) unsigned default NULL,
  `CHANGED` bigint(20) unsigned NOT NULL,
  `AUTO_DELETE` tinyint(2) default NULL,
  `META_TITLE` varchar(255) NOT NULL default '',
  `META_KEYWORDS` varchar(255) NOT NULL default '',
  `META_DESCRIPTION` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `GROUP` (`GROUP`),
  KEY `CONTENT` (`CONTENT`),
  KEY `INDEX` (`INDEX`),
  KEY `OWNER` (`OWNER`,`MODIFIER`),
  FULLTEXT KEY `LEAD` (`LEAD`,`SEARCHKEYS`,`TITLE`),
  FULLTEXT KEY `SEARCHKEYS` (`SEARCHKEYS`)
) ENGINE=MyISAM  COMMENT='Artikel';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `dynpg_cms_article_options`
--

CREATE TABLE `dynpg_cms_article_options` (
  `article_id_fk` bigint(20) NOT NULL,
  `option_id_fk` bigint(20) NOT NULL,
  PRIMARY KEY  (`article_id_fk`,`option_id_fk`)
) ENGINE=MyISAM;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `dynpg_cms_article_options_lang`
--

CREATE TABLE `dynpg_cms_article_options_lang` (
  `option_id` bigint(20) unsigned NOT NULL auto_increment,
  `description` varchar(255) NOT NULL,
  `language` varchar(2) NOT NULL,
  PRIMARY KEY  (`option_id`,`language`)
) ENGINE=MyISAM  COMMENT='The language specification for articles.';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `dynpg_cms_articles_assoc`
--

CREATE TABLE `dynpg_cms_articles_assoc` (
  `article_id_fk` bigint(20) unsigned NOT NULL,
  `assoc_article_id_fk` bigint(20) unsigned NOT NULL,
  `title` varchar(255) NOT NULL default 'default',
  UNIQUE KEY `article_id_fk` (`article_id_fk`,`assoc_article_id_fk`,`title`)
) ENGINE=MyISAM COMMENT='DynPG associations of artticles to articles';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `dynpg_cms_articletexts`
--

CREATE TABLE `dynpg_cms_articletexts` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `TEXT` longtext NOT NULL,
  `GROUP` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `GROUP` (`GROUP`),
  FULLTEXT KEY `TEXT` (`TEXT`)
) ENGINE=MyISAM  COMMENT='Artikelinhalte';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `dynpg_cms_bin`
--

CREATE TABLE `dynpg_cms_bin` (
  `bin_id` bigint(20) unsigned NOT NULL default '0',
  `type_hash` varchar(50) NOT NULL default '',
  `version` varchar(50) NOT NULL default '',
  `installdomain` varchar(255) NOT NULL default '',
  `set_maxupload_kb` double unsigned NOT NULL default '512',
  `set_filetypes` varchar(255) NOT NULL default 'jpg, jpeg, jpe, gif, png, bmp, pdf, xls, csv, mpg, mp3, zip, rar',
  `set_show_fonts` enum('True','False') NOT NULL default 'False',
  `set_show_inline_popups` enum('True','False') NOT NULL default 'True',
  PRIMARY KEY  (`bin_id`)
) ENGINE=MyISAM COMMENT='DynPG - General information about CMS';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `dynpg_cms_counter`
--

CREATE TABLE `dynpg_cms_counter` (
  `section` varchar(255) NOT NULL default '',
  `visits` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`section`),
  KEY `visits` (`visits`)
) ENGINE=MyISAM COMMENT='Counterstand';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `dynpg_cms_counter_log`
--

CREATE TABLE `dynpg_cms_counter_log` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `ip` varchar(20) NOT NULL default '',
  `site_query` varchar(255) NOT NULL default '',
  `timestamp` bigint(20) NOT NULL default '0',
  `identity` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `ip` (`ip`),
  KEY `timestamp` (`timestamp`),
  KEY `site_query` (`site_query`(20))
) ENGINE=MyISAM  COMMENT='HP Counter';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `dynpg_cms_editor_css_def`
--

CREATE TABLE `dynpg_cms_editor_css_def` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `CLASSNAME` varchar(255) NOT NULL default '',
  `DETAILNAME` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  COMMENT='CSS Definitions for Designorders.';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `dynpg_cms_group_treestruct`
--

CREATE TABLE `dynpg_cms_group_treestruct` (
  `root_id_fk` bigint(20) unsigned default NULL,
  `element_id_fk` bigint(20) unsigned default NULL,
  `successor_id_fk` bigint(20) unsigned default NULL,
  UNIQUE KEY `root_id_fk` (`root_id_fk`,`element_id_fk`,`successor_id_fk`),
  KEY `element_id_fk` (`element_id_fk`),
  KEY `successor_id_fk` (`successor_id_fk`)
) ENGINE=MyISAM COMMENT='This tables represents the structure of the groups.';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `dynpg_cms_groups`
--

CREATE TABLE `dynpg_cms_groups` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `INDEX` bigint(20) NOT NULL default '0',
  `REFID` bigint(20) unsigned default NULL,
  `REFID_IS_START` tinyint(1) NOT NULL default '0',
  `NAME` varchar(50) NOT NULL default '',
  `SHORTTEXT` text NOT NULL,
  `IMAGE` bigint(20) NOT NULL default '0',
  `ALIGN` enum('LEFT','RIGHT','BOTTOM','TOP') NOT NULL default 'LEFT',
  `CREATEDATE` bigint(20) NOT NULL default '0',
  `SHOWVISITS` enum('TRUE','FALSE') NOT NULL default 'FALSE',
  `PUBLIC` tinyint(5) NOT NULL default '1',
  `PUBLIC_FROM` datetime NOT NULL default '0000-00-00 00:00:00',
  `PUBLIC_UNTIL` datetime default NULL,
  `META_TITLE` varchar(255) NOT NULL default '',
  `META_KEYWORDS` varchar(255) NOT NULL default '',
  `META_DESCRIPTION` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `IMAGE` (`IMAGE`),
  KEY `INDEX` (`INDEX`),
  KEY `REFID` (`REFID`)
) ENGINE=MyISAM  COMMENT='Gruppen in den Kategorien';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `dynpg_cms_groups_assoc`
--

CREATE TABLE `dynpg_cms_groups_assoc` (
  `group_id_fk` bigint(20) unsigned NOT NULL,
  `article_id_fk` bigint(20) unsigned NOT NULL,
  `title` varchar(255) NOT NULL default 'default',
  `subgroups` enum('TRUE','FALSE') NOT NULL default 'TRUE',
  UNIQUE KEY `unique_index` (`group_id_fk`,`article_id_fk`,`title`),
  KEY `article_id_fk` (`article_id_fk`)
) ENGINE=MyISAM COMMENT='DynPG associations of groups and articles';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `dynpg_cms_imagegroup_treestruct`
--

CREATE TABLE `dynpg_cms_imagegroup_treestruct` (
  `root_id_fk` bigint(20) unsigned default NULL,
  `element_id_fk` bigint(20) unsigned default NULL,
  `successor_id_fk` bigint(20) unsigned default NULL,
  UNIQUE KEY `root_id_fk` (`root_id_fk`,`element_id_fk`,`successor_id_fk`),
  KEY `element_id_fk` (`element_id_fk`),
  KEY `successor_id_fk` (`successor_id_fk`)
) ENGINE=MyISAM COMMENT='This tables represents the structure of the filegroups';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `dynpg_cms_imagegroups`
--

CREATE TABLE `dynpg_cms_imagegroups` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `NAME` varchar(50) NOT NULL default '',
  `SHORTTEXT` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  COMMENT='Gruppen in der Dateiverwaltung';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `dynpg_cms_images`
--

CREATE TABLE `dynpg_cms_images` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `NAME` varchar(255) NOT NULL default '',
  `URL` varchar(100) NOT NULL default '',
  `DESCR` varchar(255) NOT NULL default '',
  `USERGROUP` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `USERGROUP` (`USERGROUP`),
  FULLTEXT KEY `NAME` (`NAME`,`DESCR`)
) ENGINE=MyISAM  COMMENT='Bilderdatenbank';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `dynpg_cms_images_rights`
--

CREATE TABLE `dynpg_cms_images_rights` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `USERID` bigint(20) unsigned default NULL,
  `PARENT` varchar(255) NOT NULL default 'ADMIN',
  `SECTION` bigint(20) unsigned default NULL,
  `CREATE` enum('TRUE','FALSE') NOT NULL default 'FALSE',
  `DELETE` enum('TRUE','FALSE') NOT NULL default 'FALSE',
  `CHANGE` enum('TRUE','FALSE') NOT NULL default 'FALSE',
  PRIMARY KEY  (`id`),
  KEY `SECTION` (`SECTION`),
  KEY `USERID` (`USERID`),
  KEY `PARENT` (`PARENT`)
) ENGINE=MyISAM  COMMENT='Rights of users for images.';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `dynpg_cms_leadimages`
--

CREATE TABLE `dynpg_cms_leadimages` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `IID` bigint(20) NOT NULL default '0',
  `AID` bigint(20) NOT NULL default '0',
  `ALIGN` enum('LEFT','RIGHT','BOTTOM','TOP') NOT NULL default 'LEFT',
  PRIMARY KEY  (`id`),
  KEY `IID` (`IID`),
  KEY `AID` (`AID`)
) ENGINE=MyISAM COMMENT='Bilder auf der Einf?hrungsseite zu Artikeln';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `dynpg_cms_mailadresses`
--

CREATE TABLE `dynpg_cms_mailadresses` (
  `adr_primary_id` bigint(20) unsigned NOT NULL auto_increment,
  `adr_id` bigint(20) unsigned NOT NULL,
  `title` varchar(255) NOT NULL default '',
  `mail` varchar(255) NOT NULL default '',
  `language` varchar(50) NOT NULL default 'de',
  PRIMARY KEY  (`adr_primary_id`),
  UNIQUE KEY `adr_id` (`adr_id`,`language`)
) ENGINE=MyISAM  COMMENT='DynPG - CMS - Mailadresses';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `dynpg_cms_mailtexts`
--

CREATE TABLE `dynpg_cms_mailtexts` (
  `m_primary_id` bigint(20) unsigned NOT NULL auto_increment,
  `m_id` bigint(20) unsigned NOT NULL,
  `title` varchar(255) NOT NULL default '',
  `mailto` varchar(255) NOT NULL default '',
  `mailref` varchar(255) NOT NULL default '',
  `mailfrom` varchar(255) NOT NULL default '',
  `mailreply` varchar(255) NOT NULL default '',
  `mailtext` text NOT NULL,
  `type` varchar(250) NOT NULL default 'text/plain',
  `language` varchar(50) NOT NULL default 'de',
  PRIMARY KEY  (`m_primary_id`),
  UNIQUE KEY `m_id` (`m_id`,`language`)
) ENGINE=MyISAM  COMMENT=' DynPG - CMS - Mailtext for all modules';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `dynpg_cms_plugin_rights`
--

CREATE TABLE `dynpg_cms_plugin_rights` (
  `user_id_fk` bigint(20) unsigned NOT NULL,
  `plugin` varchar(50) NOT NULL,
  `right_bin` varchar(25) NOT NULL default '0000000000000000000000000',
  PRIMARY KEY  (`user_id_fk`,`plugin`)
) ENGINE=MyISAM COMMENT='Specific rights for plugins of DynPG';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `dynpg_cms_preview`
--

CREATE TABLE `dynpg_cms_preview` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `TEXT` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM COMMENT='Vorschau der Artikel speichern';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `dynpg_cms_rights`
--

CREATE TABLE `dynpg_cms_rights` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `USERID` bigint(20) unsigned default NULL,
  `PARENT` varchar(255) NOT NULL default 'ADMIN',
  `SECTION` bigint(20) unsigned default NULL,
  `CREATE` enum('TRUE','FALSE') NOT NULL default 'FALSE',
  `DELETE` enum('TRUE','FALSE') NOT NULL default 'FALSE',
  `CHANGE` enum('TRUE','FALSE') NOT NULL default 'FALSE',
  `PUBLISH` enum('TRUE','FALSE') NOT NULL default 'FALSE',
  PRIMARY KEY  (`id`),
  KEY `SECTION` (`SECTION`),
  KEY `USERID` (`USERID`),
  KEY `PARENT` (`PARENT`)
) ENGINE=MyISAM  COMMENT='Rights of users.';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `dynpg_cms_textgroups`
--

CREATE TABLE `dynpg_cms_textgroups` (
  `id` bigint(50) NOT NULL auto_increment,
  `NAME` varchar(250) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM COMMENT='Gruppen der Artikelinhalte';

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `dynpg_cms_user`
--

CREATE TABLE `dynpg_cms_user` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `NAME` varchar(50) NOT NULL default '',
  `PASSWORD` varchar(50) NOT NULL default '',
  `ADMINISTRATIVE` enum('TRUE','FALSE') NOT NULL default 'FALSE',
  `AUTARKIC` enum('TRUE','FALSE') NOT NULL default 'FALSE',
  `GIVERIGHT` enum('TRUE','FALSE') NOT NULL default 'FALSE',
  `DOVOTES` enum('TRUE','FALSE') NOT NULL default 'FALSE',
  `DOGUESTBOOK` enum('TRUE','FALSE') NOT NULL default 'FALSE',
  `DOBASKET` enum('TRUE','FALSE') NOT NULL default 'FALSE',
  `DOFORUM` enum('TRUE','FALSE') NOT NULL default 'FALSE',
  `DOSTATISTICS` enum('TRUE','FALSE') NOT NULL default 'FALSE',
  `LANGUAGE` varchar(50) NOT NULL default 'de',
  `EDIT_MODE` enum('TRUE','FALSE') NOT NULL default 'FALSE',
  `INTERN` enum('TRUE','FALSE') NOT NULL default 'FALSE',
  `RIGHTS` varchar(25) NOT NULL default '0000000000000000000000000',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  COMMENT='DynPG Nutzer';
